| ghc-6.10.4: The GHC API | Contents | Index

DsBinds

Documentation
dsTopLHsBinds :: AutoScc -> LHsBinds Id -> DsM [(Id, CoreExpr)]
dsLHsBinds :: LHsBinds Id -> DsM [(Id, CoreExpr)]
decomposeRuleLhs :: CoreExpr -> Maybe ([Var], Id, [CoreExpr])
dsCoercion :: HsWrapper -> DsM CoreExpr -> DsM CoreExpr
data AutoScc

Constructors

NoSccs |
AddSccs Module (Id -> Bool) |

Produced by Haddock version 2.4.2